Bug 477929 - cracked sound after package-kit upgrade
cracked sound after package-kit upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 12:47 EST by markm
Modified: 2009-06-18 10:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 10:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "pulseaudio -vvv" (29.75 KB, text/plain)
2009-01-06 19:07 EST, markm
no flags Details

  None (edit)
Description markm 2008-12-25 12:47:48 EST
Description of problem:

after latest package-kit update I can hear cracked sound from my speakers - when I restart PulseAudio I get this:

[marek@d620 Desktop]$ pulseaudio &
[1] 16817
[marek@d620 Desktop]$ I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
N: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us privileges. Dropping SUID again.
N: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
W: main.c: High-priority scheduling enabled in configuration but not allowed by policy.
W: core-util.c: setpriority(): Permission denied

I've tried to play various sounds (movies, music) with gstreamer backend and xine backend - get same effect.

Installed packages:

pulseaudio-esound-compat-0.9.13-6.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
pulseaudio-core-libs-0.9.13-6.fc10.i386
pulseaudio-module-gconf-0.9.13-6.fc10.i386
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386
pulseaudio-libs-0.9.13-6.fc10.i386
pulseaudio-utils-0.9.13-6.fc10.i386
xine-lib-pulseaudio-1.1.15-3.fc10.i386
pulseaudio-0.9.13-6.fc10.i386
pulseaudio-module-x11-0.9.13-6.fc10.i386
gnome-packagekit-extra-0.3.12-1.fc10.i386
gnome-packagekit-0.3.12-1.fc10.i386
PackageKit-0.3.12-1.fc10.i386
PackageKit-yum-plugin-0.3.12-1.fc10.i386
PackageKit-gstreamer-plugin-0.3.12-1.fc10.i386
PackageKit-udev-helper-0.3.12-1.fc10.i386
PackageKit-glib-0.3.12-1.fc10.i386
PackageKit-yum-0.3.12-1.fc10.i386
Comment 1 Lennart Poettering 2009-01-05 17:18:06 EST
Please elaborate what you mean by "cracked sound".
Comment 2 Lennart Poettering 2009-01-05 17:18:54 EST
Also, please run "pulseaudio -vvv" and paste the output somewhere. Then, which ALSA driver is this?
Comment 3 markm 2009-01-06 19:06:59 EST
[marek@d620 Desktop]$ rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386
bluez-alsa-4.19-1.fc10.i386
alsa-utils-1.0.18-6.fc10.i386
alsa-lib-devel-1.0.18-6.rc3.fc10.i386
alsa-lib-1.0.18-6.rc3.fc10.i386
[marek@d620 Desktop]$ 

what do I mean by “cracked sound” - when you called a person on their mobile phone which has poor reception, you would hear her/his voice witch crackles - something similar I can hear while I am listening to the music / watching videos or dvds. Sometimes it's less noisy other times is more noisy. I've noticed that when processor gets busy, the possibility of crackles dramatically rises.

please find attached output from pulseaudio -vvv, I think this lines could explain why it happens:

N: main.c: Called SUID root and real-time/high-priority scheduling was
requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us
privileges. Dropping SUID again.
N: main.c: For enabling real-time scheduling please acquire the appropriate
PolicyKit privileges, or become a member of 'pulse-rt', or increase the
RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
W: main.c: High-priority scheduling enabled in configuration but not allowed by
policy.
W: core-util.c: setpriority(): Permission denied
Comment 4 markm 2009-01-06 19:07:47 EST
Created attachment 328332 [details]
output of "pulseaudio -vvv"
Comment 5 markm 2009-01-12 06:57:35 EST
also, I've noticed that when I use xine backend in totem, I get less crackles then with gstreamer backend. Although when I watch a movie with 5.1 multichannel sound, I get more crackles even while using xine backend.

I can confirm this issue on two different laptops: Dell Latitude D620 and Dell XPS M1330, both running Fedora 10 with kernel 2.6.27.7-134.fc10.i686 - I can't upgrade to -159 as with this kernel I'll have no sound in my headphones on both machines.
Comment 6 Mark Harig 2009-01-26 14:00:56 EST
I am seeing these errors in /var/log/messages, also, but on an x86_64 architecture.

rpm -qa |grep -i alsa
alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64
bluez-alsa-4.22-2.fc10.x86_64
alsa-utils-1.0.19-1.fc10.x86_64
alsa-lib-1.0.19-1.fc10.x86_64

rpm -q PolicyKit pulseaudio
PolicyKit-0.9-4.fc10.x86_64
pulseaudio-0.9.13-6.fc10.x86_64

From /var/log/messages:

pulseaudio[2610]: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
pulseaudio[2610]: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us privileges. Dropping SUID again.
pulseaudio[2610]: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
pulseaudio[2610]: main.c: High-priority scheduling enabled in configuration but not allowed by policy.
pulseaudio[2610]: core-util.c: setpriority(): Permission denied
pulseaudio[2613]: alsa-util.c: Device hw:0 doesn't support 44100 Hz, changed to 16000 Hz.
pulseaudio[2613]: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 1.
pulseaudio[2613]: module-alsa-source.c: Your kernel driver is broken: it reports a volume 
range from 18.00 dB to 18.00 dB which makes no sense.
Comment 7 Lennart Poettering 2009-04-23 18:00:01 EDT
Hmm, PA f10 actually has pa 0.9.14, not 0.9.13 as you seem to do. Could you please make sure to run the latest packages?

Note You need to log in before you can comment on or make changes to this bug.